Subject: Re: linux-next: manual merge of the tip tree with the pci tree

From: Bjorn Helgaas <[email-masked]>
Date: Thu, 1 Oct 2020 11:06:11 -0500

On Thu, Oct 01, 2020 at 04:38:27PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the tip tree got a conflict in:
> 
>   arch/x86/pci/xen.c
> 
> between commit:
> 
>   b0623566c2e9 ("x86/xen: Fix xen_msi_init() missing prototype warning")

I dropped this from my tree, thanks for the heads-up.

> from the pci tree and commit:
> 
>   2905c50b7d3e ("x86/xen: Make xen_msi_init() static and rename it to xen_hvm_msi_init()")
> 
> from the tip tree.
> 
> I fixed it up (I just used the latter since it incorporated the change
> from the former) and can carry the fix as necessary. This is now fixed
> as far as linux-next is concerned, but any non trivial conflicts should
> be mentioned to your upstream maintainer when your tree is submitted
> for merging.  You may also want to consider cooperating with the
> maintainer of the conflicting tree to minimise any particularly complex
> conflicts.
> 
> -- 
> Cheers,
> Stephen Rothwell